org.apache.ignite.internal.binary

## Interface BinaryFieldEx

All Superinterfaces:
  BinaryField

All Known Implementing Classes:
  BinaryFieldImpl

    public interface BinaryFieldEx
    extends BinaryField

### Method Summary

All Methods Instance Methods Abstract Methods
`<F> F` `readField(ByteBuffer buf)` Reads field value from the given byte buffer.
`int` `typeId()`
`boolean` `writeField(BinaryObject obj, ByteBuffer buf)` Writes field value to the given byte buffer.

### Methods inherited from interface org.apache.ignite.binary.BinaryField

`exists, name, value`

### Method Detail

#### typeId

    int typeId()

Returns:
  Type ID this field relates to.

#### writeField

    boolean writeField(BinaryObject obj,
                       ByteBuffer buf)

Writes field value to the given byte buffer.

Parameters:
  `obj` - Object from which the field should be extracted.
  `buf` - Buffer to write the field value to.
Returns:
  `True` if the value was successfully written, `false` if there is not enough space for the field in the buffer.

#### readField

    <F> F readField(ByteBuffer buf)

Reads field value from the given byte buffer.

Parameters:
  `buf` - Buffer to read value from.
Returns:
  Field value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021